build error

build failed with exit code: 1, message: None

Build logs:

					
						--> FROM docker.io/library/python:3.8.9@sha256:49d05fff9cb3b185b15ffd92d8e6bd61c20aa916133dca2e3dbe0215270faf53
DONE 0.0s

--> RUN apt-get update && apt-get install -y 	git 	git-lfs 	ffmpeg 	libsm6 	libxext6 	cmake 	libgl1-mesa-glx 	&& rm -rf /var/lib/apt/lists/* 	&& git lfs install
CACHED

--> RUN apt-get update && xargs -r -a /root/packages.txt apt-get install -y && rm -rf /var/lib/apt/lists/*
CACHED

--> WORKDIR /home/user/app
CACHED

--> RUN pip install --no-cache-dir pip==22.0.2 && pip install --no-cache-dir         datasets         huggingface-hub     	"protobuf<4" "click<8.1"
CACHED

--> COPY packages.txt /root/packages.txt
CACHED

--> RUN useradd -m -u 1000 user
CACHED

--> COPY requirements.txt /home/user/app/requirements.txt
DONE 0.1s

--> RUN pip install --no-cache-dir -r requirements.txt
Defaulting to user installation because normal site-packages is not writeable
Collecting transformers
  Downloading transformers-4.25.1-py3-none-any.whl (5.8 MB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 5.8/5.8 MB 112.8 MB/s eta 0:00:00
Collecting sentencepiece
  Downloading sentencepiece-0.1.97-cp38-cp38-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (1.3 MB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 1.3/1.3 MB 105.5 MB/s eta 0:00:00
Collecting torch
  Downloading torch-1.13.1-cp38-cp38-manylinux1_x86_64.whl (887.4 MB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 887.4/887.4 MB 175.7 MB/s eta 0:00:00
Collecting langdetect
  Downloading langdetect-1.0.9.tar.gz (981 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 981.5/981.5 KB 225.8 MB/s eta 0:00:00
  Preparing metadata (setup.py): started
  Preparing metadata (setup.py): finished with status 'done'
Collecting fasttext
  Downloading fasttext-0.9.2.tar.gz (68 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 68.8/68.8 KB 216.1 MB/s eta 0:00:00
  Preparing metadata (setup.py): started
  Preparing metadata (setup.py): finished with status 'done'
Collecting transformers_interpret
  Downloading transformers_interpret-0.9.6-py3-none-any.whl (45 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 45.6/45.6 KB 186.8 MB/s eta 0:00:00
Collecting nltk
  Downloading nltk-3.8-py3-none-any.whl (1.5 MB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 1.5/1.5 MB 212.7 MB/s eta 0:00:00
Collecting tokenizers!=0.11.3,<0.14,>=0.11.1
  Downloading tokenizers-0.13.2-cp38-cp38-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (7.6 MB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 7.6/7.6 MB 160.3 MB/s eta 0:00:00
Requirement already satisfied: numpy>=1.17 in /home/user/.local/lib/python3.8/site-packages (from transformers->-r requirements.txt (line 1)) (1.23.5)
Requirement already satisfied: huggingface-hub<1.0,>=0.10.0 in /home/user/.local/lib/python3.8/site-packages (from transformers->-r requirements.txt (line 1)) (0.11.1)
Requirement already satisfied: pyyaml>=5.1 in /home/user/.local/lib/python3.8/site-packages (from transformers->-r requirements.txt (line 1)) (6.0)
Requirement already satisfied: packaging>=20.0 in /home/user/.local/lib/python3.8/site-packages (from transformers->-r requirements.txt (line 1)) (22.0)
Collecting regex!=2019.12.17
  Downloading regex-2022.10.31-cp38-cp38-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (772 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 772.3/772.3 KB 155.5 MB/s eta 0:00:00
Requirement already satisfied: requests in /home/user/.local/lib/python3.8/site-packages (from transformers->-r requirements.txt (line 1)) (2.28.1)
Requirement already satisfied: tqdm>=4.27 in /home/user/.local/lib/python3.8/site-packages (from transformers->-r requirements.txt (line 1)) (4.64.1)
Requirement already satisfied: filelock in /home/user/.local/lib/python3.8/site-packages (from transformers->-r requirements.txt (line 1)) (3.8.2)
Collecting nvidia-cuda-nvrtc-cu11==11.7.99
  Downloading nvidia_cuda_nvrtc_cu11-11.7.99-2-py3-none-manylinux1_x86_64.whl (21.0 MB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 21.0/21.0 MB 211.5 MB/s eta 0:00:00
Requirement already satisfied: typing-extensions in /home/user/.local/lib/python3.8/site-packages (from torch->-r requirements.txt (line 3)) (4.4.0)
Collecting nvidia-cudnn-cu11==8.5.0.96
  Downloading nvidia_cudnn_cu11-8.5.0.96-2-py3-none-manylinux1_x86_64.whl (557.1 MB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 557.1/557.1 MB 187.1 MB/s eta 0:00:00
Collecting nvidia-cuda-runtime-cu11==11.7.99
  Downloading nvidia_cuda_runtime_cu11-11.7.99-py3-none-manylinux1_x86_64.whl (849 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 849.3/849.3 KB 277.6 MB/s eta 0:00:00
Collecting nvidia-cublas-cu11==11.10.3.66
  Downloading nvidia_cublas_cu11-11.10.3.66-py3-none-manylinux1_x86_64.whl (317.1 MB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 317.1/317.1 MB 287.8 MB/s eta 0:00:00
Requirement already satisfied: setuptools in /usr/local/lib/python3.8/site-packages (from nvidia-cublas-cu11==11.10.3.66->torch->-r requirements.txt (line 3)) (56.0.0)
Requirement already satisfied: wheel in /usr/local/lib/python3.8/site-packages (from nvidia-cublas-cu11==11.10.3.66->torch->-r requirements.txt (line 3)) (0.36.2)
Requirement already satisfied: six in /home/user/.local/lib/python3.8/site-packages (from langdetect->-r requirements.txt (line 4)) (1.16.0)
Collecting pybind11>=2.2
  Downloading pybind11-2.10.1-py3-none-any.whl (216 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 216.1/216.1 KB 252.5 MB/s eta 0:00:00
Collecting captum>=0.3.1
  Downloading captum-0.5.0-py3-none-any.whl (1.4 MB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 1.4/1.4 MB 240.4 MB/s eta 0:00:00
Collecting ipython<8.0.0,>=7.31.1
  Downloading ipython-7.34.0-py3-none-any.whl (793 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 793.8/793.8 KB 236.1 MB/s eta 0:00:00
Collecting joblib
  Downloading joblib-1.2.0-py3-none-any.whl (297 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 298.0/298.0 KB 216.6 MB/s eta 0:00:00
Requirement already satisfied: click in /home/user/.local/lib/python3.8/site-packages (from nltk->-r requirements.txt (line 7)) (8.0.4)
Collecting matplotlib
  Downloading matplotlib-3.6.2-cp38-cp38-manylinux_2_12_x86_64.manylinux2010_x86_64.whl (9.4 MB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 9.4/9.4 MB 221.4 MB/s eta 0:00:00
Collecting prompt-toolkit!=3.0.0,!=3.0.1,<3.1.0,>=2.0.0
  Downloading prompt_toolkit-3.0.36-py3-none-any.whl (386 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 386.4/386.4 KB 223.6 MB/s eta 0:00:00
Collecting pexpect>4.3
  Downloading pexpect-4.8.0-py2.py3-none-any.whl (59 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 59.0/59.0 KB 192.4 MB/s eta 0:00:00
Collecting pickleshare
  Downloading pickleshare-0.7.5-py2.py3-none-any.whl (6.9 kB)
Collecting backcall
  Downloading backcall-0.2.0-py2.py3-none-any.whl (11 kB)
Collecting decorator
  Downloading decorator-5.1.1-py3-none-any.whl (9.1 kB)
Collecting matplotlib-inline
  Downloading matplotlib_inline-0.1.6-py3-none-any.whl (9.4 kB)
Collecting traitlets>=4.2
  Downloading traitlets-5.7.1-py3-none-any.whl (109 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 109.9/109.9 KB 233.6 MB/s eta 0:00:00
Collecting pygments
  Downloading Pygments-2.13.0-py3-none-any.whl (1.1 MB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 1.1/1.1 MB 209.1 MB/s eta 0:00:00
Collecting jedi>=0.16
  Downloading jedi-0.18.2-py2.py3-none-any.whl (1.6 MB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 1.6/1.6 MB 242.8 MB/s eta 0:00:00
Requirement already satisfied: idna<4,>=2.5 in /home/user/.local/lib/python3.8/site-packages (from requests->transformers->-r requirements.txt (line 1)) (3.4)
Requirement already satisfied: certifi>=2017.4.17 in /home/user/.local/lib/python3.8/site-packages (from requests->transformers->-r requirements.txt (line 1)) (2022.12.7)
Requirement already satisfied: urllib3<1.27,>=1.21.1 in /home/user/.local/lib/python3.8/site-packages (from requests->transformers->-r requirements.txt (line 1)) (1.26.13)
Requirement already satisfied: charset-normalizer<3,>=2 in /home/user/.local/lib/python3.8/site-packages (from requests->transformers->-r requirements.txt (line 1)) (2.1.1)
Collecting parso<0.9.0,>=0.8.0
  Downloading parso-0.8.3-py2.py3-none-any.whl (100 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 100.8/100.8 KB 206.5 MB/s eta 0:00:00
Collecting ptyprocess>=0.5
  Downloading ptyprocess-0.7.0-py2.py3-none-any.whl (13 kB)
Collecting wcwidth
  Downloading wcwidth-0.2.5-py2.py3-none-any.whl (30 kB)
Collecting contourpy>=1.0.1
  Downloading contourpy-1.0.6-cp38-cp38-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (295 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 296.0/296.0 KB 256.5 MB/s eta 0:00:00
Collecting kiwisolver>=1.0.1
  Downloading kiwisolver-1.4.4-cp38-cp38-manylinux_2_5_x86_64.manylinux1_x86_64.whl (1.2 MB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 1.2/1.2 MB 230.7 MB/s eta 0:00:00
Collecting cycler>=0.10
  Downloading cycler-0.11.0-py3-none-any.whl (6.4 kB)
Collecting pyparsing>=2.2.1
  Downloading pyparsing-3.0.9-py3-none-any.whl (98 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 98.3/98.3 KB 206.6 MB/s eta 0:00:00
Requirement already satisfied: python-dateutil>=2.7 in /home/user/.local/lib/python3.8/site-packages (from matplotlib->captum>=0.3.1->transformers_interpret->-r requirements.txt (line 6)) (2.8.2)
Collecting fonttools>=4.22.0
  Downloading fonttools-4.38.0-py3-none-any.whl (965 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 965.4/965.4 KB 227.0 MB/s eta 0:00:00
Collecting pillow>=6.2.0
  Downloading Pillow-9.3.0-cp38-cp38-manylinux_2_28_x86_64.whl (3.3 MB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 3.3/3.3 MB 290.3 MB/s eta 0:00:00
Building wheels for collected packages: langdetect, fasttext
  Building wheel for langdetect (setup.py): started
  Building wheel for langdetect (setup.py): finished with status 'done'
  Created wheel for langdetect: filename=langdetect-1.0.9-py3-none-any.whl size=993221 sha256=6b22433d1aa797a3b42350305ee02ab71b86b93b7db3cd700701b5a739c239f5
  Stored in directory: /tmp/pip-ephem-wheel-cache-dxe2_iiv/wheels/13/c7/b0/79f66658626032e78fc1a83103690ef6797d551cb22e56e734
  Building wheel for fasttext (setup.py): started
  Building wheel for fasttext (setup.py): finished with status 'done'
  Created wheel for fasttext: filename=fasttext-0.9.2-cp38-cp38-linux_x86_64.whl size=4557154 sha256=ba0bc79ad5cd3b711936464c7511df575beecc6c088a7443b0bd163b67a201fd
  Stored in directory: /tmp/pip-ephem-wheel-cache-dxe2_iiv/wheels/93/61/2a/c54711a91c418ba06ba195b1d78ff24fcaad8592f2a694ac94
Successfully built langdetect fasttext
Installing collected packages: wcwidth, tokenizers, sentencepiece, ptyprocess, pickleshare, backcall, traitlets, regex, pyparsing, pygments, pybind11, prompt-toolkit, pillow, pexpect, parso, nvidia-cuda-runtime-cu11, nvidia-cuda-nvrtc-cu11, nvidia-cublas-cu11, langdetect, kiwisolver, joblib, fonttools, decorator, cycler, contourpy, nvidia-cudnn-cu11, nltk, matplotlib-inline, matplotlib, jedi, fasttext, transformers, torch, ipython, captum, transformers_interpret
Successfully installed backcall-0.2.0 captum-0.5.0 contourpy-1.0.6 cycler-0.11.0 decorator-5.1.1 fasttext-0.9.2 fonttools-4.38.0 ipython-7.34.0 jedi-0.18.2 joblib-1.2.0 kiwisolver-1.4.4 langdetect-1.0.9 matplotlib-3.6.2 matplotlib-inline-0.1.6 nltk-3.8 nvidia-cublas-cu11-11.10.3.66 nvidia-cuda-nvrtc-cu11-11.7.99 nvidia-cuda-runtime-cu11-11.7.99 nvidia-cudnn-cu11-8.5.0.96 parso-0.8.3 pexpect-4.8.0 pickleshare-0.7.5 pillow-9.3.0 prompt-toolkit-3.0.36 ptyprocess-0.7.0 pybind11-2.10.1 pygments-2.13.0 pyparsing-3.0.9 regex-2022.10.31 sentencepiece-0.1.97 tokenizers-0.13.2 torch-1.13.1 traitlets-5.7.1 transformers-4.25.1 transformers_interpret-0.9.6 wcwidth-0.2.5
WARNING: You are using pip version 22.0.2; however, version 22.3.1 is available.
You should consider upgrading via the '/usr/local/bin/python -m pip install --upgrade pip' command.
DONE 95.4s

--> RUN pip install --no-cache-dir         streamlit==1.15.2         gradio==2.9.0.1
Defaulting to user installation because normal site-packages is not writeable
Collecting streamlit==1.15.2
  Downloading streamlit-1.15.2-py2.py3-none-any.whl (9.2 MB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 9.2/9.2 MB 226.5 MB/s eta 0:00:00
Collecting gradio==2.9.0.1
  Downloading gradio-2.9.0.1-py3-none-any.whl (1.4 MB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 1.4/1.4 MB 271.7 MB/s eta 0:00:00
Collecting cachetools>=4.0
  Downloading cachetools-5.2.0-py3-none-any.whl (9.3 kB)
Requirement already satisfied: numpy in /home/user/.local/lib/python3.8/site-packages (from streamlit==1.15.2) (1.23.5)
Collecting validators>=0.2
  Downloading validators-0.20.0.tar.gz (30 kB)
  Preparing metadata (setup.py): started
  Preparing metadata (setup.py): finished with status 'done'
Collecting tornado>=5.0
  Downloading tornado-6.2-cp37-abi3-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_17_x86_64.manylinux2014_x86_64.whl (423 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 424.0/424.0 KB 258.1 MB/s eta 0:00:00
Collecting importlib-metadata>=1.4
  Downloading importlib_metadata-5.1.0-py3-none-any.whl (21 kB)
Requirement already satisfied: typing-extensions>=3.10.0.0 in /home/user/.local/lib/python3.8/site-packages (from streamlit==1.15.2) (4.4.0)
Collecting tzlocal>=1.1
  Downloading tzlocal-4.2-py3-none-any.whl (19 kB)
Requirement already satisfied: pyarrow>=4.0 in /home/user/.local/lib/python3.8/site-packages (from streamlit==1.15.2) (10.0.1)
Collecting rich>=10.11.0
  Downloading rich-12.6.0-py3-none-any.whl (237 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 237.5/237.5 KB 235.0 MB/s eta 0:00:00
Collecting blinker>=1.0.0
  Downloading blinker-1.5-py2.py3-none-any.whl (12 kB)
Requirement already satisfied: packaging>=14.1 in /home/user/.local/lib/python3.8/site-packages (from streamlit==1.15.2) (22.0)
Requirement already satisfied: pillow>=6.2.0 in /home/user/.local/lib/python3.8/site-packages (from streamlit==1.15.2) (9.3.0)
Requirement already satisfied: python-dateutil in /home/user/.local/lib/python3.8/site-packages (from streamlit==1.15.2) (2.8.2)
Collecting pympler>=0.9
  Downloading Pympler-1.0.1-py3-none-any.whl (164 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 164.8/164.8 KB 266.3 MB/s eta 0:00:00
Collecting altair>=3.2.0
  Downloading altair-4.2.0-py3-none-any.whl (812 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 812.8/812.8 KB 273.8 MB/s eta 0:00:00
Requirement already satisfied: pandas>=0.21.0 in /home/user/.local/lib/python3.8/site-packages (from streamlit==1.15.2) (1.5.2)
Requirement already satisfied: click>=7.0 in /home/user/.local/lib/python3.8/site-packages (from streamlit==1.15.2) (8.0.4)
Collecting gitpython!=3.1.19
  Downloading GitPython-3.1.29-py3-none-any.whl (182 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 182.5/182.5 KB 234.9 MB/s eta 0:00:00
Collecting pydeck>=0.1.dev5
  Downloading pydeck-0.8.0-py2.py3-none-any.whl (4.7 MB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 4.7/4.7 MB 256.9 MB/s eta 0:00:00
Collecting toml
  Downloading toml-0.10.2-py2.py3-none-any.whl (16 kB)
Collecting semver
  Downloading semver-2.13.0-py2.py3-none-any.whl (12 kB)
Collecting watchdog
  Downloading watchdog-2.2.0-py3-none-manylinux2014_x86_64.whl (78 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 78.7/78.7 KB 216.7 MB/s eta 0:00:00
Requirement already satisfied: protobuf<4,>=3.12 in /home/user/.local/lib/python3.8/site-packages (from streamlit==1.15.2) (3.20.3)
Requirement already satisfied: requests>=2.4 in /home/user/.local/lib/python3.8/site-packages (from streamlit==1.15.2) (2.28.1)
Collecting python-multipart
  Downloading python-multipart-0.0.5.tar.gz (32 kB)
  Preparing metadata (setup.py): started
  Preparing metadata (setup.py): finished with status 'done'
Collecting ffmpy
  Downloading ffmpy-0.3.0.tar.gz (4.8 kB)
  Preparing metadata (setup.py): started
  Preparing metadata (setup.py): finished with status 'done'
Collecting pydub
  Downloading pydub-0.25.1-py2.py3-none-any.whl (32 kB)
Requirement already satisfied: aiohttp in /home/user/.local/lib/python3.8/site-packages (from gradio==2.9.0.1) (3.8.3)
Collecting markdown-it-py[linkify,plugins]
  Downloading markdown_it_py-2.1.0-py3-none-any.whl (84 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 84.5/84.5 KB 248.1 MB/s eta 0:00:00
Collecting pycryptodome
  Downloading pycryptodome-3.16.0-cp35-abi3-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (2.3 MB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 2.3/2.3 MB 288.4 MB/s eta 0:00:00
Collecting orjson
  Downloading orjson-3.8.3-cp38-cp38-manylinux_2_28_x86_64.whl (144 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 144.7/144.7 KB 250.4 MB/s eta 0:00:00
Requirement already satisfied: matplotlib in /home/user/.local/lib/python3.8/site-packages (from gradio==2.9.0.1) (3.6.2)
Collecting paramiko
  Downloading paramiko-2.12.0-py2.py3-none-any.whl (213 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 213.1/213.1 KB 267.3 MB/s eta 0:00:00
Collecting uvicorn
  Downloading uvicorn-0.20.0-py3-none-any.whl (56 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 56.9/56.9 KB 230.3 MB/s eta 0:00:00
Collecting analytics-python
  Downloading analytics_python-1.4.0-py2.py3-none-any.whl (15 kB)
Collecting fastapi
  Downloading fastapi-0.88.0-py3-none-any.whl (55 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 55.5/55.5 KB 208.7 MB/s eta 0:00:00
Collecting entrypoints
  Downloading entrypoints-0.4-py3-none-any.whl (5.3 kB)
Collecting toolz
  Downloading toolz-0.12.0-py3-none-any.whl (55 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 55.8/55.8 KB 206.6 MB/s eta 0:00:00
Collecting jsonschema>=3.0
  Downloading jsonschema-4.17.3-py3-none-any.whl (90 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 90.4/90.4 KB 247.3 MB/s eta 0:00:00
Collecting jinja2
  Downloading Jinja2-3.1.2-py3-none-any.whl (133 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 133.1/133.1 KB 260.2 MB/s eta 0:00:00
Collecting gitdb<5,>=4.0.1
  Downloading gitdb-4.0.10-py3-none-any.whl (62 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 62.7/62.7 KB 241.2 MB/s eta 0:00:00
Collecting zipp>=0.5
  Downloading zipp-3.11.0-py3-none-any.whl (6.6 kB)
Requirement already satisfied: pytz>=2020.1 in /home/user/.local/lib/python3.8/site-packages (from pandas>=0.21.0->streamlit==1.15.2) (2022.6)
Requirement already satisfied: six>=1.5 in /home/user/.local/lib/python3.8/site-packages (from python-dateutil->streamlit==1.15.2) (1.16.0)
Requirement already satisfied: urllib3<1.27,>=1.21.1 in /home/user/.local/lib/python3.8/site-packages (from requests>=2.4->streamlit==1.15.2) (1.26.13)
Requirement already satisfied: certifi>=2017.4.17 in /home/user/.local/lib/python3.8/site-packages (from requests>=2.4->streamlit==1.15.2) (2022.12.7)
Requirement already satisfied: charset-normalizer<3,>=2 in /home/user/.local/lib/python3.8/site-packages (from requests>=2.4->streamlit==1.15.2) (2.1.1)
Requirement already satisfied: idna<4,>=2.5 in /home/user/.local/lib/python3.8/site-packages (from requests>=2.4->streamlit==1.15.2) (3.4)
Collecting commonmark<0.10.0,>=0.9.0
  Downloading commonmark-0.9.1-py2.py3-none-any.whl (51 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 51.1/51.1 KB 202.8 MB/s eta 0:00:00
Requirement already satisfied: pygments<3.0.0,>=2.6.0 in /home/user/.local/lib/python3.8/site-packages (from rich>=10.11.0->streamlit==1.15.2) (2.13.0)
Collecting backports.zoneinfo
  Downloading backports.zoneinfo-0.2.1-cp38-cp38-manylinux1_x86_64.whl (74 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 74.0/74.0 KB 234.0 MB/s eta 0:00:00
Collecting pytz-deprecation-shim
  Downloading pytz_deprecation_shim-0.1.0.post0-py2.py3-none-any.whl (15 kB)
Requirement already satisfied: decorator>=3.4.0 in /home/user/.local/lib/python3.8/site-packages (from validators>=0.2->streamlit==1.15.2) (5.1.1)
Requirement already satisfied: multidict<7.0,>=4.5 in /home/user/.local/lib/python3.8/site-packages (from aiohttp->gradio==2.9.0.1) (6.0.3)
Requirement already satisfied: frozenlist>=1.1.1 in /home/user/.local/lib/python3.8/site-packages (from aiohttp->gradio==2.9.0.1) (1.3.3)
Requirement already satisfied: aiosignal>=1.1.2 in /home/user/.local/lib/python3.8/site-packages (from aiohttp->gradio==2.9.0.1) (1.3.1)
Requirement already satisfied: async-timeout<5.0,>=4.0.0a3 in /home/user/.local/lib/python3.8/site-packages (from aiohttp->gradio==2.9.0.1) (4.0.2)
Requirement already satisfied: yarl<2.0,>=1.0 in /home/user/.local/lib/python3.8/site-packages (from aiohttp->gradio==2.9.0.1) (1.8.2)
Requirement already satisfied: attrs>=17.3.0 in /home/user/.local/lib/python3.8/site-packages (from aiohttp->gradio==2.9.0.1) (22.1.0)
Collecting monotonic>=1.5
  Downloading monotonic-1.6-py2.py3-none-any.whl (8.2 kB)
Collecting backoff==1.10.0
  Downloading backoff-1.10.0-py2.py3-none-any.whl (31 kB)
Collecting pydantic!=1.7,!=1.7.1,!=1.7.2,!=1.7.3,!=1.8,!=1.8.1,<2.0.0,>=1.6.2
  Downloading pydantic-1.10.2-cp38-cp38-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (13.6 MB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 13.6/13.6 MB 279.9 MB/s eta 0:00:00
Collecting starlette==0.22.0
  Downloading starlette-0.22.0-py3-none-any.whl (64 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 64.3/64.3 KB 219.8 MB/s eta 0:00:00
Collecting anyio<5,>=3.4.0
  Downloading anyio-3.6.2-py3-none-any.whl (80 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 80.6/80.6 KB 257.1 MB/s eta 0:00:00
Collecting mdurl~=0.1
  Downloading mdurl-0.1.2-py3-none-any.whl (10.0 kB)
Collecting mdit-py-plugins
  Downloading mdit_py_plugins-0.3.3-py3-none-any.whl (50 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 50.5/50.5 KB 224.3 MB/s eta 0:00:00
Collecting linkify-it-py~=1.0
  Downloading linkify_it_py-1.0.3-py3-none-any.whl (19 kB)
Requirement already satisfied: fonttools>=4.22.0 in /home/user/.local/lib/python3.8/site-packages (from matplotlib->gradio==2.9.0.1) (4.38.0)
Requirement already satisfied: pyparsing>=2.2.1 in /home/user/.local/lib/python3.8/site-packages (from matplotlib->gradio==2.9.0.1) (3.0.9)
Requirement already satisfied: contourpy>=1.0.1 in /home/user/.local/lib/python3.8/site-packages (from matplotlib->gradio==2.9.0.1) (1.0.6)
Requirement already satisfied: cycler>=0.10 in /home/user/.local/lib/python3.8/site-packages (from matplotlib->gradio==2.9.0.1) (0.11.0)
Requirement already satisfied: kiwisolver>=1.0.1 in /home/user/.local/lib/python3.8/site-packages (from matplotlib->gradio==2.9.0.1) (1.4.4)
Collecting bcrypt>=3.1.3
  Downloading bcrypt-4.0.1-cp36-abi3-manylinux_2_28_x86_64.whl (593 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 593.7/593.7 KB 297.6 MB/s eta 0:00:00
Collecting cryptography>=2.5
  Downloading cryptography-38.0.4-cp36-abi3-manylinux_2_28_x86_64.whl (4.2 MB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 4.2/4.2 MB 228.7 MB/s eta 0:00:00
Collecting pynacl>=1.0.1
  Downloading PyNaCl-1.5.0-cp36-abi3-manylinux_2_17_x86_64.manylinux2014_x86_64.manylinux_2_24_x86_64.whl (856 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 856.7/856.7 KB 303.0 MB/s eta 0:00:00
Collecting h11>=0.8
  Downloading h11-0.14.0-py3-none-any.whl (58 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 58.3/58.3 KB 220.1 MB/s eta 0:00:00
Collecting cffi>=1.12
  Downloading cffi-1.15.1-cp38-cp38-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (442 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 442.7/442.7 KB 283.7 MB/s eta 0:00:00
Collecting smmap<6,>=3.0.1
  Downloading smmap-5.0.0-py3-none-any.whl (24 kB)
Collecting MarkupSafe>=2.0
  Downloading MarkupSafe-2.1.1-cp38-cp38-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (25 kB)
Collecting pkgutil-resolve-name>=1.3.10
  Downloading pkgutil_resolve_name-1.3.10-py3-none-any.whl (4.7 kB)
Collecting importlib-resources>=1.4.0
  Downloading importlib_resources-5.10.1-py3-none-any.whl (34 kB)
Collecting pyrsistent!=0.17.0,!=0.17.1,!=0.17.2,>=0.14.0
  Downloading pyrsistent-0.19.2-py3-none-any.whl (57 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 57.5/57.5 KB 230.1 MB/s eta 0:00:00
Collecting uc-micro-py
  Downloading uc_micro_py-1.0.1-py3-none-any.whl (6.2 kB)
Collecting tzdata
  Downloading tzdata-2022.7-py2.py3-none-any.whl (340 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 340.1/340.1 KB 264.0 MB/s eta 0:00:00
Collecting sniffio>=1.1
  Downloading sniffio-1.3.0-py3-none-any.whl (10 kB)
Collecting pycparser
  Downloading pycparser-2.21-py2.py3-none-any.whl (118 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 118.7/118.7 KB 174.4 MB/s eta 0:00:00
Building wheels for collected packages: validators, ffmpy, python-multipart
  Building wheel for validators (setup.py): started
  Building wheel for validators (setup.py): finished with status 'done'
  Created wheel for validators: filename=validators-0.20.0-py3-none-any.whl size=19567 sha256=4aaa6741a586908273cab644832e1f94277c8e341317bc4c37c8a583b9aa5bbe
  Stored in directory: /tmp/pip-ephem-wheel-cache-klr947zu/wheels/19/09/72/3eb74d236bb48bd0f3c6c3c83e4e0c5bbfcbcad7c6c3539db8
  Building wheel for ffmpy (setup.py): started
  Building wheel for ffmpy (setup.py): finished with status 'done'
  Created wheel for ffmpy: filename=ffmpy-0.3.0-py3-none-any.whl size=4709 sha256=c575806c9ffaa0f2bb66867d78e372f15241dc9eee820098668eeb89cc271e34
  Stored in directory: /tmp/pip-ephem-wheel-cache-klr947zu/wheels/ff/5b/59/913b443e7369dc04b61f607a746b6f7d83fb65e2e19fcc958d
  Building wheel for python-multipart (setup.py): started
  Building wheel for python-multipart (setup.py): finished with status 'done'
  Created wheel for python-multipart: filename=python_multipart-0.0.5-py3-none-any.whl size=31670 sha256=a4f938ee0240db6e6c57a113b8bafa0202c9522c6fd18bc6b16695be744cedfd
  Stored in directory: /tmp/pip-ephem-wheel-cache-klr947zu/wheels/9e/fc/1c/cf980e6413d3ee8e70cd8f39e2366b0f487e3e221aeb452eb0
Successfully built validators ffmpy python-multipart
Installing collected packages: pydub, monotonic, ffmpy, commonmark, zipp, watchdog, validators, uc-micro-py, tzdata, tornado, toolz, toml, sniffio, smmap, semver, rich, python-multipart, pyrsistent, pympler, pydantic, pycryptodome, pycparser, pkgutil-resolve-name, orjson, mdurl, MarkupSafe, h11, entrypoints, cachetools, blinker, bcrypt, backports.zoneinfo, backoff, uvicorn, pytz-deprecation-shim, markdown-it-py, linkify-it-py, jinja2, importlib-resources, importlib-metadata, gitdb, cffi, anyio, analytics-python, tzlocal, starlette, pynacl, pydeck, mdit-py-plugins, jsonschema, gitpython, cryptography, paramiko, fastapi, altair, streamlit, gradio
Successfully installed MarkupSafe-2.1.1 altair-4.2.0 analytics-python-1.4.0 anyio-3.6.2 backoff-1.10.0 backports.zoneinfo-0.2.1 bcrypt-4.0.1 blinker-1.5 cachetools-5.2.0 cffi-1.15.1 commonmark-0.9.1 cryptography-38.0.4 entrypoints-0.4 fastapi-0.88.0 ffmpy-0.3.0 gitdb-4.0.10 gitpython-3.1.29 gradio-2.9.0.1 h11-0.14.0 importlib-metadata-5.1.0 importlib-resources-5.10.1 jinja2-3.1.2 jsonschema-4.17.3 linkify-it-py-1.0.3 markdown-it-py-2.1.0 mdit-py-plugins-0.3.3 mdurl-0.1.2 monotonic-1.6 orjson-3.8.3 paramiko-2.12.0 pkgutil-resolve-name-1.3.10 pycparser-2.21 pycryptodome-3.16.0 pydantic-1.10.2 pydeck-0.8.0 pydub-0.25.1 pympler-1.0.1 pynacl-1.5.0 pyrsistent-0.19.2 python-multipart-0.0.5 pytz-deprecation-shim-0.1.0.post0 rich-12.6.0 semver-2.13.0 smmap-5.0.0 sniffio-1.3.0 starlette-0.22.0 streamlit-1.15.2 toml-0.10.2 toolz-0.12.0 tornado-6.2 tzdata-2022.7 tzlocal-4.2 uc-micro-py-1.0.1 uvicorn-0.20.0 validators-0.20.0 watchdog-2.2.0 zipp-3.11.0
WARNING: You are using pip version 22.0.2; however, version 22.3.1 is available.
You should consider upgrading via the '/usr/local/bin/python -m pip install --upgrade pip' command.
DONE 16.5s

--> COPY --chown=user --from=lfs /app /home/user/app
DONE 0.1s

--> COPY --chown=user ./ /home/user/app
DONE 0.1s

--> Pushing image
time="2022-12-17T10:47:59Z" level=warning msg="commandConn.CloseWrite: commandconn: failed to wait: signal: terminated"
time="2022-12-17T10:47:59Z" level=warning msg="commandConn.CloseRead: commandconn: failed to wait: signal: terminated"
time="2022-12-17T10:47:59Z" level=warning msg="commandConn.CloseWrite: commandconn: failed to wait: signal: terminated"
error: failed to solve: Canceled: context canceled